var messageSource = messageSource || {};
var Msg = Msg || {
    get: function () {
        var key = arguments[0] || "";
        var params = arguments[1] + "";
        if (key.length == 0) {
            return "";
        }
        var i18nString = messageSource[key] || key;
        var p = params.split(",");
        if (new RegExp("{\\d+}").test(i18nString)) {
            for (var i = 0; i < p.length; p++) {
                var _v = p[i]
                gM.log(typeof _v != "undefined");
                if (typeof  _v != "undefined") {
                    i18nString = i18nString.replace(new RegExp("\\{" + i + "\\}", 'g'), _v);
                }
            }
        }
        return i18nString
    }
}